Bug 840327 - [webadmin] Default disk format - 'Thin Provision' for NFS / 'Preallocated' for Block Devices
[webadmin] Default disk format - 'Thin Provision' for NFS / 'Preallocated' fo...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.1.0
Assigned To: Daniel Erez
Haim
storage
:
Depends On:
Blocks: 847113
  Show dependency treegraph
 
Reported: 2012-07-15 18:25 EDT by Daniel Erez
Modified: 2016-02-10 11:47 EST (History)
13 users (show)

See Also:
Fixed In Version: SI13
Doc Type: Bug Fix
Doc Text:
Previously, by default, thin provisioned storage would be used for the first disk added to a desktop virtual machine. Pre-allocated storage was used, by default, for all subsequent disks and all disk attached to server virtual machines. The defaults have been changed. Thin provisioned disks are now the default on NFS storage, while pre-allocated disks are the default on block devices.
Story Points: ---
Clone Of:
: 847113 (view as bug list)
Environment:
Last Closed: 2012-12-04 15:05:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Erez 2012-07-15 18:25:04 EDT
Description of problem:
When creating a new virtual disk, the default disk format should be:
'Thin Provision' for NFS and 'Preallocated' for Block Devices.

Steps to Reproduce:
Open 'Add Virtual Disk' dialog.
  
Actual results:
Desktop VM, Default format: 'Thin' on the first disk; otherwise, 'Preallocated'.
Server VM, Default format: 'Preallocated'.

Expected results:
Default format: 'Thin Provision' for NFS and 'Preallocated' for Block Devices.
Comment 1 Daniel Erez 2012-07-22 09:29:26 EDT
upstream commit a0e96a2065cc06583d1ddb20d05186c302599c6a
Comment 2 Stephen Gordon 2012-08-09 10:15:05 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, by default, thin provisioned storage would be used for the first disk added to a desktop virtual machine. Pre-allocated storage was used, by default, for all subsequent disks and all disk attached to server virtual machines. The defaults have been changed. Thin provisioned disks are now the default on NFS storage, while pre-allocated disks are the default on block devices.
Comment 3 vvyazmin@redhat.com 2012-08-09 11:26:54 EDT
Verified on RHEVM 3.1 - SI13.2

RHEVM: rhevm-3.1.0-11.el6ev.noarch
VDSM: vdsm-4.9.6-27.0.el6_3.x86_64
LIBVIRT: libvirt-0.9.10-21.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.298.el6_3.x86_64
SANLOCK: sanlock-2.3-3.el6_3.x86_64
Comment 4 Stephen Gordon 2012-08-09 14:16:57 EDT
Removing the release note flag and cloning the bug to ensure we document it formally in the Admin Guide instead.

Note You need to log in before you can comment on or make changes to this bug.